### Method

# Gtk Entry get_menu_entry_icon_text

since: 4.20

#### Declaration [src]

    const gchar*
    gtk_entry_get_menu_entry_icon_text (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Gets the text that will be used in the context menu of the `GtkEntry` when the specified icon is activatable. Selecting this item in the menu results, from all aspects, the same than clicking on the specified icon. This greatly simplifies making accessible applications, because the icons aren’t focusable when using keyboard navigation. This is why Gtk recommends to add the same action to the context menu.

Available since: 4.20

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Either `GTK_ENTRY_ICON_PRIMARY` or `GTK_ENTRY_ICON_SECONDARY`.

#### Return value

Type: `const gchar*`

The text that will be used in the menu item, or NULL if no menu item is desired.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.